%define major 0
%define libname %mklibname pstoedit %{major}
%define devname %mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	3.70
Release:	4
License:	GPLv2+
Group:		Graphics
Url:		http://www.pstoedit.net/pstoedit
Source0:	http://sourceforge.net/projects/pstoedit/files/pstoedit/%{version}/%{name}-%{version}.tar.gz
# Fix loading plugins, patch from Fedora
Patch0:		pstoedit-3.70-pkglibdir.patch
Patch1:		pstoedit-3.70-pkgconfig.patch
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	plotutils-devel
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(libzip)
# not compatible
BuildConflicts:	ming-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%files
%doc doc/changelog.htm  doc/readme.txt
%doc readme.install examples
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%files -n %{libname}
%{_libdir}/libpstoedit.so.%{major}*
%{_libdir}/pstoedit/libp2edrvlplot.so
%{_libdir}/pstoedit/libp2edrvmagick++.so
%{_libdir}/pstoedit/libp2edrvpptx.so
%{_libdir}/pstoedit/libp2edrvstd.so
%{_libdir}/pstoedit/libp2edrvlplot.so.%{major}*
%{_libdir}/pstoedit/libp2edrvmagick++.so.%{major}*
%{_libdir}/pstoedit/libp2edrvpptx.so.%{major}*
%{_libdir}/pstoedit/libp2edrvstd.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%rename		%{_lib}pstoedit0-devel

%description -n %{devname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%files -n %{devname}
%doc doc/pstoedit.htm
%{_includedir}/pstoedit
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# needed because of definitions in imagemagick headers that break with -pedantic
sed -ie 's/-pedantic//' configure
%configure2_5x --enable-static
%make

%install
%makeinstall_std

install -m644 doc/pstoedit.1 -D %{buildroot}%{_mandir}/man1/pstoedit.1

rm -f %{buildroot}%{_libdir}/%{name}/*.a


%changelog

* Tue May 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.70-4
- (cf14209) Add patch to fix pkgconfig


